Dimension Rounding Trap I was wondering that some dims in a drawing did have wrong values. Thre was measures of 8,1818181 and after choosing 1 decimal they all were 8,1.
SOLIDWORKS Forums
1 year ago
Flange Relief Issue As always, SW is not as easy as it should be when it come to pretty much anything related to development . In this particular case, Flanges.
SOLIDWORKS Forums
1 year ago
Mesh help There is something wrong with your attached part, I can't open it. It looks like it might be a temporary file as it has a ~$ at the start.
SOLIDWORKS Forums
1 year ago
I'm wanting to have this similar looking feature except with 3 different diameter profiles, using my existing path. this would be a loft feature? (correct) I read something about a guide curve. (instead of a path)
SOLIDWORKS Forums
8 months ago
theoretical sharp dimensioning to a theoretical sharp?
SOLIDWORKS Forums
10 months ago
I want to create a sketch over selected surface and offset line from selected edge. And I need to draw a circle in mid point of that line. I tried below codes,
SOLIDWORKS Forums
6 months ago
hi guys I did a 3d sketch of a part and wanted to extrude this piece 90 degrees from the direction it is show below in the picture attached. I sketched an arrow showing the direction I want to extrude this shape but I dont know if its possible. Varun, I would place the sketch on a plane if at all possible and extrude from there.
SOLIDWORKS Forums
15 days ago
I was watching a whats new video on youtube and they were talking about having different symbols for different terminal blocks for the drawings. Right around 7:10 they are talking about it and showing off the capabilities.
SOLIDWORKS Forums
4 months ago
This is a fairly straightforward problem but it's been bugging me. Seems like it should be simple. I have an assembly involving some 80/20 extruded aluminum parts to form a frame.
SOLIDWORKS Forums
7 months ago
I'm trying to suppress / unsuppress a feature depending on if another feature is suppressed / unsuppressed. You can see it below: =IIF (feature LIKE "suppressed" , "unsuppressed" , "suppressed")
SOLIDWORKS Forums
1 year ago
This is my first discussion post in SolidWorks community. My name is Raj. I am a professional SolidWorks design engineer. I have been working on SolidWorks macros (VBA) lately.
SOLIDWORKS Forums
26 days ago
A few months ago, our company updated to Solid works 2017. Now when opening assemblies, The lightweight parts are red. When I set the parts to resolved, they go back to their normal colors, Is there a way to fix this? Doesn't affect anything, Just irritating...
SOLIDWORKS Forums
6 months ago
bolt three plates together I have three plates in an assembly that need to be bolted together.
SOLIDWORKS Forums
3 months ago
We have quite a bit of drawings that the user erased the links within the Title-block to custom properties and typed the text there instead. I need to copy the text that is there, relink the attribute to the custom property and then paste the value back to the custom property. I have macro that will change custom properties for me but I am having trouble copying the text from the attributes.
SOLIDWORKS Forums
1 year ago
The Flex feature should do what you want. You'll want to select Twisting type, and adjust the trim planes to define the twisted area. Re: twist in sheetmetal
SOLIDWORKS Forums
2 years ago
I have a sketch picture in a client template,and I want to change it. However, there doesn't appear to be an option to delete it. What am I missing, besides a little more patience and sanity?
SOLIDWORKS Forums
1 month ago
I'm trying to fix this imported model and keep having issues with it. I originally couldn't get it to become solid and then found these slivers. I've tried rebuilding the ends, but then I decided to cut them out and try to get the part to a solid state.
SOLIDWORKS Forums
1 year ago
how can i extract the feature manager tree from a file step that has been created from a part file (by another solidworks user)? If the SOLIDWORKS part was saved as a STEP file ('dumb solid') or the bodies were saved out (using save bodies or insert in to new part) then you wont see the feature tree by default. Is there a reason you require this?
SOLIDWORKS Forums
15 days ago
Hi all, I noticed that now you can use a BOM table or a weldment cutlist, whichever you choose. In the past I remember weldments only worked with a weldment cutlist. Now we have the two options to choose from.
SOLIDWORKS Forums
12 days ago
I am new to this task. I need to make connector cable like this (left image) in SW (does not have to be exact). then add it to my assembly (pic on the right). I need to show connection from A to B). Is there any simple way to accomplish this task without using flex tool?
SOLIDWORKS Forums
1 year ago
I have a few dimensions in a drawing that i need to callout as metric. i went into the properymanager and override the units (in the other tab), how do i put the dimension's units on it.without just writing mm in the dimension text I'm not aware of any way to do that. Would it work for you to display those dimensions as dual instead of overriding the units?
SOLIDWORKS Forums
5 months ago
My company is trying to sort our BOMs from manufactured and purchased parts. We use custom properties, so essentially, we want to create a BOM with the purchased parts only that is driven from those properties. It would be ideal to just create a BOM then run a macro that hides parts that do not contain text in the purchase part property. Does anyone have any suggestions for doing this?
SOLIDWORKS Forums
1 month ago
they are not showing on my drawing view. Also as soon as I exit my sketch they disappear. Any tips? I manually made all lines dashed by changing their line type.
SOLIDWORKS Forums
1 year ago
Anyone can help with this?/ I can't pass this value to SW through a macro. swApp.SetUserPreferenceDoubleValue swPageSetupPrinterThinLineWeight, 0.0005
SOLIDWORKS Forums
2 months ago